%define	xfontdir	%{_datadir}/fonts
%define update_cache    /usr/bin/fc-cache
%define langlist	"bn hi gu ta pa"

Name:		ttfonts-indic
Version:	1.8
Release:    1
License:	GPL
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source:		ttfonts-indic-%{version}.tar.gz
Requires:       fontconfig

Summary: Free Indian truetype/opentype fonts
%description
This package provides the Hindi, Bengali, Gujarati, Punjabi, Tamil TrueType/Opentype fonts.


%package -n ttfonts-bn
Summary: Free Bengali truetype fonts
Group: User Interface/X
%description -n ttfonts-bn
These are the free Bengali truetype/opentype fonts. 

%package -n ttfonts-gu
Summary: Free Gujarati truetype fonts
Group: User Interface/X
%description -n ttfonts-gu
These are the free Gujarati truetype/opentype fonts. 

%package -n ttfonts-hi
Summary: Free hindi truetype fonts
Group: User Interface/X
%description -n ttfonts-hi
These are the free Hindi truetype/opentype fonts. 

%package -n ttfonts-pa
Summary: Free Panjabi truetype fonts
Group: User Interface/X
%description -n ttfonts-pa
These are the free Panjabi truetype/opentype fonts. 

%package -n ttfonts-ta
Summary: Free Tamil truetype fonts
Group: User Interface/X
%description -n ttfonts-ta
These are the free Tamil truetype/opentype fonts. 


%prep
%setup

%build
echo "Nothing to do in Build."

%install
rm -rf $RPM_BUILD_ROOT

for i in "%{langlist}"
do
	install -d $RPM_BUILD_ROOT/%{xfontdir}/$i
	install -m 0644 $i/* $RPM_BUILD_ROOT/%{xfontdir}/$i
	# Ghost the fonts.cache-1 file
	touch $RPM_BUILD_ROOT/%{xfontdir}/$i/fonts.cache-1
done

%clean
rm -rf $RPM_BUILD_ROOT

%post -n ttfonts-bn
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null

%post -n ttfonts-gu
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null

%post -n ttfonts-hi
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null

%post -n ttfonts-pa
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null

%post -n ttfonts-ta
[  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null


%postun -n ttfonts-bn
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi

%postun -n ttfonts-gu
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi

%postun -n ttfonts-hi
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi

%postun -n ttfonts-pa
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi

%postun -n ttfonts-ta
if [ "$1" = "0" ]; then
    [  -x %{update_cache} ] && HOME=/ %{update_cache} %{xfontdir} 2> /dev/null
fi


%files -n ttfonts-bn
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/bn
%doc COPYING
%ghost %{xfontdir}/bn/fonts.cache-1
%{xfontdir}/bn/*ttf

%files -n ttfonts-gu
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/gu
%doc COPYING
%ghost %{xfontdir}/gu/fonts.cache-1
%{xfontdir}/gu/*ttf

%files -n ttfonts-hi
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/hi
%doc COPYING
%ghost %{xfontdir}/hi/fonts.cache-1
%{xfontdir}/hi/*ttf

%files -n ttfonts-pa
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/pa
%doc COPYING
%ghost %{xfontdir}/pa/fonts.cache-1
%{xfontdir}/pa/*ttf

%files -n ttfonts-ta
%defattr(-, root, root)
%dir %{xfontdir}
%dir %{xfontdir}/ta
%doc COPYING
%ghost %{xfontdir}/ta/fonts.cache-1
%{xfontdir}/ta/*ttf


%changelog
* Fri Nov 26 2004 Leon Ho <llch@redhat.com> 1.8-1
- rescaled some of the fonts (ta, gu) (#139990)
- fixed some of the char composition (#138150)
- disabled specific ascii glyphs from all the fonts (#140895)

* Mon Nov 22 2004 Leon Ho <llch@redhat.com>
- Use the fc-cache with /usr/share/fonts instead of child directory

* Thu Nov  4 2004 Leon Ho <llch@redhat.com> 1.7-1
- updated with rescaled fonts (#137147, Jatin)
- repackaged into new sources with same filenames

* Tue Oct 19 2004 Leon Ho <llch@redhat.com>
- Updated the source with new names
- Updated with proper license info

* Thu Oct 14 2004 Leon Ho <llch@redhat.com>
- Updated the source. Five fonts are provided.
- Added COPYING for license

* Mon Oct 04 2004 Jatin Nansi <jnansi@redhat.com>
- added '-f' to fc-cache.
- changed the fc-cache command in the post* sections.
- Assign correct version nos.

* Mon Oct 04 2004 Leon Ho <llch@redhat.com>
- added /usr/share/fonts path to fc-cache cmd
- added minor version number

* Tue Aug 31 2004 Warren Togami <wtogami@redhat.com>
- review and cleanup
